Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/prec_scops.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/prec_scops.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/prec_scops.F90	(revision 5082)
@@ -64,5 +64,5 @@
 
       cv_col = scops_ccfrac*ncol
-      if (cv_col .eq. 0) cv_col=1
+      if (cv_col == 0) cv_col=1
  
       do ilev=1,nlev
@@ -81,15 +81,15 @@
         flag_cv=0
         do ilev=1,nlev
-          if (frac_out(j,ibox,ilev) .eq. 1) then 
+          if (frac_out(j,ibox,ilev) == 1) then
             flag_ls=1
           endif
-          if (frac_out(j,ibox,ilev) .eq. 2) then 
+          if (frac_out(j,ibox,ilev) == 2) then
             flag_cv=1
           endif
         enddo !loop over nlev
-        if (flag_ls .eq. 1) then
+        if (flag_ls == 1) then
            frac_out_ls(j,ibox)=1
         endif
-        if (flag_cv .eq. 1) then
+        if (flag_cv == 1) then
            frac_out_cv(j,ibox)=1
         endif
@@ -102,14 +102,14 @@
         flag_cv=0
     
-        if (ls_p_rate(j,1) .gt. 0.) then 
+        if (ls_p_rate(j,1) > 0.) then
             do ibox=1,ncol ! possibility ONE
-                if (frac_out(j,ibox,1) .eq. 1) then 
+                if (frac_out(j,ibox,1) == 1) then
                     prec_frac(j,ibox,1) = 1
                     flag_ls=1
                 endif
             enddo ! loop over ncol
-            if (flag_ls .eq. 0) then ! possibility THREE
+            if (flag_ls == 0) then ! possibility THREE
                 do ibox=1,ncol
-                    if (frac_out(j,ibox,2) .eq. 1) then 
+                    if (frac_out(j,ibox,2) == 1) then
                         prec_frac(j,ibox,1) = 1
                         flag_ls=1
@@ -117,7 +117,7 @@
                 enddo ! loop over ncol
             endif
-        if (flag_ls .eq. 0) then ! possibility Four
-        do ibox=1,ncol
-        if (frac_out_ls(j,ibox) .eq. 1) then 
+        if (flag_ls == 0) then ! possibility Four
+        do ibox=1,ncol
+        if (frac_out_ls(j,ibox) == 1) then
             prec_frac(j,ibox,1) = 1
             flag_ls=1
@@ -125,5 +125,5 @@
         enddo ! loop over ncol
         endif
-        if (flag_ls .eq. 0) then ! possibility Five
+        if (flag_ls == 0) then ! possibility Five
         do ibox=1,ncol
     !     prec_frac(j,1:ncol,1) = 1
@@ -134,8 +134,8 @@
        ! There is large scale precipitation
      
-        if (cv_p_rate(j,1) .gt. 0.) then 
+        if (cv_p_rate(j,1) > 0.) then
          do ibox=1,ncol ! possibility ONE
-          if (frac_out(j,ibox,1) .eq. 2) then 
-           if (prec_frac(j,ibox,1) .eq. 0) then
+          if (frac_out(j,ibox,1) == 2) then
+           if (prec_frac(j,ibox,1) == 0) then
         prec_frac(j,ibox,1) = 2
        else
@@ -145,8 +145,8 @@
       endif
         enddo ! loop over ncol
-        if (flag_cv .eq. 0) then ! possibility THREE
-        do ibox=1,ncol
-        if (frac_out(j,ibox,2) .eq. 2) then 
-                if (prec_frac(j,ibox,1) .eq. 0) then
+        if (flag_cv == 0) then ! possibility THREE
+        do ibox=1,ncol
+        if (frac_out(j,ibox,2) == 2) then
+                if (prec_frac(j,ibox,1) == 0) then
             prec_frac(j,ibox,1) = 2
             else
@@ -157,8 +157,8 @@
         enddo ! loop over ncol
         endif
-        if (flag_cv .eq. 0) then ! possibility Four
-        do ibox=1,ncol
-        if (frac_out_cv(j,ibox) .eq. 1) then 
-                if (prec_frac(j,ibox,1) .eq. 0) then
+        if (flag_cv == 0) then ! possibility Four
+        do ibox=1,ncol
+        if (frac_out_cv(j,ibox) == 1) then
+                if (prec_frac(j,ibox,1) == 0) then
             prec_frac(j,ibox,1) = 2
             else
@@ -169,7 +169,7 @@
         enddo ! loop over ncol
         endif
-        if (flag_cv .eq. 0) then  ! possibility Five
+        if (flag_cv == 0) then  ! possibility Five
         do ibox=1,cv_col
-                if (prec_frac(j,ibox,1) .eq. 0) then
+                if (prec_frac(j,ibox,1) == 0) then
             prec_frac(j,ibox,1) = 2
             else
@@ -192,15 +192,15 @@
         flag_cv=0
     
-        if (ls_p_rate(j,ilev) .gt. 0.) then 
+        if (ls_p_rate(j,ilev) > 0.) then
          do ibox=1,ncol ! possibility ONE&TWO
-          if ((frac_out(j,ibox,ilev) .eq. 1) .or. ((prec_frac(j,ibox,ilev-1) .eq. 1)     &
-            .or. (prec_frac(j,ibox,ilev-1) .eq. 3))) then 
+          if ((frac_out(j,ibox,ilev) == 1) .or. ((prec_frac(j,ibox,ilev-1) == 1)     &
+            .or. (prec_frac(j,ibox,ilev-1) == 3))) then
            prec_frac(j,ibox,ilev) = 1
            flag_ls=1
           endif
         enddo ! loop over ncol
-        if ((flag_ls .eq. 0) .and. (ilev .lt. nlev)) then ! possibility THREE
-        do ibox=1,ncol
-        if (frac_out(j,ibox,ilev+1) .eq. 1) then 
+        if ((flag_ls == 0) .and. (ilev < nlev)) then ! possibility THREE
+        do ibox=1,ncol
+        if (frac_out(j,ibox,ilev+1) == 1) then
             prec_frac(j,ibox,ilev) = 1
             flag_ls=1
@@ -208,7 +208,7 @@
         enddo ! loop over ncol
         endif
-        if (flag_ls .eq. 0) then ! possibility Four
-        do ibox=1,ncol
-        if (frac_out_ls(j,ibox) .eq. 1) then 
+        if (flag_ls == 0) then ! possibility Four
+        do ibox=1,ncol
+        if (frac_out_ls(j,ibox) == 1) then
             prec_frac(j,ibox,ilev) = 1
             flag_ls=1
@@ -216,5 +216,5 @@
         enddo ! loop over ncol
         endif
-        if (flag_ls .eq. 0) then ! possibility Five
+        if (flag_ls == 0) then ! possibility Five
         do ibox=1,ncol
 !     prec_frac(j,1:ncol,ilev) = 1
@@ -224,9 +224,9 @@
       endif ! There is large scale precipitation
     
-        if (cv_p_rate(j,ilev) .gt. 0.) then 
+        if (cv_p_rate(j,ilev) > 0.) then
          do ibox=1,ncol ! possibility ONE&TWO
-          if ((frac_out(j,ibox,ilev) .eq. 2) .or. ((prec_frac(j,ibox,ilev-1) .eq. 2)     &
-            .or. (prec_frac(j,ibox,ilev-1) .eq. 3))) then 
-            if (prec_frac(j,ibox,ilev) .eq. 0) then
+          if ((frac_out(j,ibox,ilev) == 2) .or. ((prec_frac(j,ibox,ilev-1) == 2)     &
+            .or. (prec_frac(j,ibox,ilev-1) == 3))) then
+            if (prec_frac(j,ibox,ilev) == 0) then
          prec_frac(j,ibox,ilev) = 2
         else
@@ -236,8 +236,8 @@
         endif
        enddo ! loop over ncol
-        if ((flag_cv .eq. 0) .and. (ilev .lt. nlev)) then ! possibility THREE
-        do ibox=1,ncol
-        if (frac_out(j,ibox,ilev+1) .eq. 2) then 
-                if (prec_frac(j,ibox,ilev) .eq. 0) then
+        if ((flag_cv == 0) .and. (ilev < nlev)) then ! possibility THREE
+        do ibox=1,ncol
+        if (frac_out(j,ibox,ilev+1) == 2) then
+                if (prec_frac(j,ibox,ilev) == 0) then
             prec_frac(j,ibox,ilev) = 2
             else
@@ -248,8 +248,8 @@
         enddo ! loop over ncol
         endif
-        if (flag_cv .eq. 0) then ! possibility Four
-        do ibox=1,ncol
-        if (frac_out_cv(j,ibox) .eq. 1) then 
-                if (prec_frac(j,ibox,ilev) .eq. 0) then
+        if (flag_cv == 0) then ! possibility Four
+        do ibox=1,ncol
+        if (frac_out_cv(j,ibox) == 1) then
+                if (prec_frac(j,ibox,ilev) == 0) then
             prec_frac(j,ibox,ilev) = 2
             else
@@ -260,7 +260,7 @@
         enddo ! loop over ncol
         endif
-        if (flag_cv .eq. 0) then  ! possibility Five 
+        if (flag_cv == 0) then  ! possibility Five
         do ibox=1,cv_col
-                if (prec_frac(j,ibox,ilev) .eq. 0) then
+                if (prec_frac(j,ibox,ilev) == 0) then
             prec_frac(j,ibox,ilev) = 2
             else
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/quickbeam.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/quickbeam.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/quickbeam.F90	(revision 5082)
@@ -182,5 +182,5 @@
           
           ! Attenuation due to gaseous absorption between radar and volume
-          if ((rcfg%use_gas_abs == 1) .or. (rcfg%use_gas_abs == 2 .and. pr .eq. 1)) then
+          if ((rcfg%use_gas_abs == 1) .or. (rcfg%use_gas_abs == 2 .and. pr == 1)) then
              if (d_gate==1) then
                 if (k>1) then
@@ -270,5 +270,5 @@
           enddo
        enddo
-       where(cfad_ze .ne. R_UNDEF) cfad_ze = cfad_ze/Ncolumns
+       where(cfad_ze /= R_UNDEF) cfad_ze = cfad_ze/Ncolumns
 
     else
@@ -279,5 +279,5 @@
           enddo
        enddo
-       where(cfad_ze .ne. R_UNDEF) cfad_ze = cfad_ze/Ncolumns
+       where(cfad_ze /= R_UNDEF) cfad_ze = cfad_ze/Ncolumns
     endif   
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/quickbeam_optics.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/quickbeam_optics.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/quickbeam_optics.F90	(revision 5082)
@@ -160,5 +160,5 @@
           ! Gas attenuation (only need to do this for the first subcolumn (i.e. cmpGases=true)
           if (cmpGases) then
-             if (rcfg%use_gas_abs == 1 .or. (rcfg%use_gas_abs == 2 .and. pr .eq. 1)) then
+             if (rcfg%use_gas_abs == 1 .or. (rcfg%use_gas_abs == 2 .and. pr == 1)) then
                 g_vol(pr,k) = gases(p_matrix(pr,k),t_matrix(pr,k),sh_matrix(pr,k),rcfg%freq)
              endif
@@ -195,5 +195,5 @@
                 
                 ! Compute effective radius from number concentration and distribution parameters
-                if (Re_internal .eq. 0) then
+                if (Re_internal == 0) then
                    call calc_Re(hm_matrix(pr,k,tp),Np_matrix(pr,k,tp),rho_a, &
                         sd%dtype(tp),sd%apm(tp),sd%bpm(tp),sd%rho(tp),sd%p1(tp),sd%p2(tp),sd%p3(tp),Re)
@@ -210,5 +210,5 @@
                 ! Index into particle size dimension of scaling tables 
                 iRe_type=1
-                if(Re.gt.0) then
+                if(Re>0) then
                    ! Determine index in to scale LUT
                    ! Distance between Re points (defined by "base" and "step") for
@@ -220,10 +220,10 @@
                    base = rcfg%base_list(n+1)
                    iRe_type=Re/step
-                   if (iRe_type.lt.1) iRe_type=1
+                   if (iRe_type<1) iRe_type=1
                    Re=step*(iRe_type+0.5_wp)    ! set value of Re to closest value allowed in LUT.
                    iRe_type=iRe_type+base-int(n*Re_BIN_LENGTH/step)
                    
                    ! Make sure iRe_type is within bounds
-                   if (iRe_type.ge.nRe_types) then
+                   if (iRe_type>=nRe_types) then
                       !write(*,*) 'Warning: size of Re exceed value permitted ', &
                       !            'in Look-Up Table (LUT).  Will calculate. '
@@ -431,5 +431,5 @@
     ! Exponential is same as modified gamma with vu =1
     ! if Np is specified then we will just treat as modified gamma
-    if(dtype .eq. 2 .and. Np .gt. 0) then
+    if(dtype == 2 .and. Np > 0) then
        local_dtype = 1
        local_p3    = 1
@@ -467,9 +467,9 @@
        endif
        
-       if( Np.eq.0 .and. p2+1 > 1E-8) then     ! use default value for MEAN diameter as first default  
+       if( Np==0 .and. p2+1 > 1E-8) then     ! use default value for MEAN diameter as first default
           dm = p2             ! by definition, should have units of microns
           D0 = gamma(vu)/gamma(vu+1)*dm
        else   ! use value of Np
-          if(Np.eq.0) then
+          if(Np==0) then
              if( abs(p1+1) > 1E-8 ) then  !   use default number concentration   
                 local_Np = p1 ! total number concentration / pa --- units kg^-1
@@ -551,5 +551,5 @@
        
        ! get rg ... 
-       if( Np.eq.0 .and. (abs(p2+1) > 1E-8) ) then ! use default value of rg
+       if( Np==0 .and. (abs(p2+1) > 1E-8) ) then ! use default value of rg
           rg = p2     
        else
@@ -852,5 +852,5 @@
           log_sigma_g = p3
           tmp2 = (bpm*log_sigma_g)*(bpm*log_sigma_g)
-          if(Re.le.0) then 
+          if(Re<=0) then
              rg = p2
           else
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/scops.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/scops.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/scops.F90	(revision 5082)
@@ -75,5 +75,5 @@
 
     ! Test for valid input overlap assumption
-    if (overlap .ne. 1 .and. overlap .ne. 2 .and. overlap .ne. 3) then
+    if (overlap /= 1 .and. overlap /= 2 .and. overlap /= 3) then
        overlap=default_overlap
        call errorMessage('ERROR(scops): Invalid overlap assumption provided. Using default overlap assumption (max/ran)')
@@ -92,5 +92,5 @@
     tca(1:npoints,1:nlev) = cc(1:npoints,1:nlev)
     
-    if (ncolprint.ne.0) then
+    if (ncolprint/=0) then
        write (6,'(a)') 'frac_out_pp_rev:'
        do j=1,npoints,1000
@@ -102,5 +102,5 @@
        write (6,'(I3)') ncol
     endif
-    if (ncolprint.ne.0) then
+    if (ncolprint/=0) then
        write (6,'(a)') 'last_frac_pp:'
        do j=1,npoints,1000
@@ -122,7 +122,7 @@
        
        ! Initialise threshold
-       IF (ilev.eq.1) then
+       IF (ilev==1) then
           ! If max overlap 
-          IF (overlap.eq.1) then
+          IF (overlap==1) then
              ! Select pixels spread evenly across the gridbox
              threshold(1:npoints,1:ncol)=boxpos(1:npoints,1:ncol)
@@ -137,5 +137,5 @@
              enddo
           ENDIF
-          IF (ncolprint.ne.0) then
+          IF (ncolprint/=0) then
              write (6,'(a)') 'threshold_nsf2:'
              do j=1,npoints,1000
@@ -147,5 +147,5 @@
        ENDIF
        
-       IF (ncolprint.ne.0) then
+       IF (ncolprint/=0) then
           write (6,'(a)') 'ilev:'
           write (6,'(I2)') ilev
@@ -157,5 +157,5 @@
           !maxocc(1:npoints,ibox) = merge(1,0, conv(1:npoints,ilev) .gt. boxpos(1:npoints,ibox))
           do j=1,npoints
-             if (boxpos(j,ibox).le.conv(j,ilev)) then
+             if (boxpos(j,ibox)<=conv(j,ilev)) then
                 maxocc(j,ibox) = 1
              else
@@ -165,5 +165,5 @@
           
           ! Max overlap
-          if (overlap.eq.1) then 
+          if (overlap==1) then
              threshold_min(1:npoints,ibox) = conv(1:npoints,ilev)
              maxosc(1:npoints,ibox)        = 1               
@@ -171,10 +171,10 @@
           
           ! Random overlap
-          if (overlap.eq.2) then 
+          if (overlap==2) then
              threshold_min(1:npoints,ibox) = conv(1:npoints,ilev)
              maxosc(1:npoints,ibox)        = 0
           endif
           ! Max/Random overlap
-          if (overlap.eq.3) then 
+          if (overlap==3) then
              ! DS2014 START: The bounds on tca are not valid when ilev=1.
              !threshold_min(1:npoints,ibox) = max(conv(1:npoints,ilev),min(tca(1:npoints,ilev-1),tca(1:npoints,ilev)))
@@ -182,14 +182,14 @@
              !     min(tca(1:npoints,ilev-1),tca(1:npoints,ilev)) .and. &
              !     (threshold(1:npoints,ibox).gt.conv(1:npoints,ilev)))
-             if (ilev .ne. 1) then
+             if (ilev /= 1) then
                 threshold_min(1:npoints,ibox) = max(conv(1:npoints,ilev),min(tca(1:npoints,ilev-1),tca(1:npoints,ilev)))
-                maxosc(1:npoints,ibox) = merge(1,0,threshold(1:npoints,ibox) .lt. &
+                maxosc(1:npoints,ibox) = merge(1,0,threshold(1:npoints,ibox) < &
                      min(tca(1:npoints,ilev-1),tca(1:npoints,ilev)) .and. &
-                     (threshold(1:npoints,ibox).gt.conv(1:npoints,ilev)))
+                     (threshold(1:npoints,ibox)>conv(1:npoints,ilev)))
              else
                 threshold_min(1:npoints,ibox) = max(conv(1:npoints,ilev),min(0._wp,tca(1:npoints,ilev)))
-                maxosc(1:npoints,ibox) = merge(1,0,threshold(1:npoints,ibox) .lt. &
+                maxosc(1:npoints,ibox) = merge(1,0,threshold(1:npoints,ibox) < &
                      min(0._wp,tca(1:npoints,ilev)) .and. &
-                     (threshold(1:npoints,ibox).gt.conv(1:npoints,ilev)))
+                     (threshold(1:npoints,ibox)>conv(1:npoints,ilev)))
              endif
           endif
@@ -205,13 +205,13 @@
           
           ! Fill frac_out with 1's where tca is greater than the threshold
-          frac_out(1:npoints,ibox,ilev) = merge(1,0,tca(1:npoints,ilev).gt.threshold(1:npoints,ibox))
+          frac_out(1:npoints,ibox,ilev) = merge(1,0,tca(1:npoints,ilev)>threshold(1:npoints,ibox))
           
           ! Code to partition boxes into startiform and convective parts goes here
-          where(threshold(1:npoints,ibox).le.conv(1:npoints,ilev) .and. conv(1:npoints,ilev).gt.0.) frac_out(1:npoints,ibox,ilev)=2
+          where(threshold(1:npoints,ibox)<=conv(1:npoints,ilev) .and. conv(1:npoints,ilev)>0.) frac_out(1:npoints,ibox,ilev)=2
        ENDDO ! ibox
        
        
        ! Set last_frac to tca at this level, so as to be tca from last level next time round
-       if (ncolprint.ne.0) then
+       if (ncolprint/=0) then
           do j=1,npoints ,1000
              write(6,'(a10)') 'j='
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/MISR_simulator.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/MISR_simulator.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/MISR_simulator.F90	(revision 5082)
@@ -84,5 +84,5 @@
        do ilev=1,nlev
           ! Define location of "layer top"
-          if(ilev.eq.1 .or. ilev.eq.nlev) then
+          if(ilev==1 .or. ilev==nlev) then
              ztest=zfull(j,ilev)
           else
@@ -94,5 +94,5 @@
           iMISR_ztop=2
           do loop=2,numMISRHgtBins
-             if ( ztest .gt. 1000*misr_histHgt(loop+1) ) then
+             if ( ztest > 1000*misr_histHgt(loop+1) ) then
                 iMISR_ztop=loop+1
              endif
@@ -110,5 +110,5 @@
           do ilev=1,nlev
              ! If there a cloud, start the counter and store this height
-             if(thres_crossed_MISR .eq. 0 .and. dtau(j,ibox,ilev) .gt. 0.) then
+             if(thres_crossed_MISR == 0 .and. dtau(j,ibox,ilev) > 0.) then
                 ! First encountered a "cloud"
                 thres_crossed_MISR = 1  
@@ -116,6 +116,6 @@
              endif
 
-             if( thres_crossed_MISR .lt. 99 .and. thres_crossed_MISR .gt. 0 ) then
-                if( dtau(j,ibox,ilev) .eq. 0.) then
+             if( thres_crossed_MISR < 99 .and. thres_crossed_MISR > 0 ) then
+                if( dtau(j,ibox,ilev) == 0.) then
                    ! We have come to the end of the current cloud layer without yet 
                    ! selecting a CTH boundary. Restart cloud tau counter 
@@ -129,6 +129,6 @@
                 ! current layer cloud top to the current level then MISR will like 
                 ! see a top below the top of the current layer.
-                if( dtau(j,ibox,ilev).gt.0 .and. (cloud_dtau-dtau(j,ibox,ilev)) .lt. 1) then
-                   if(dtau(j,ibox,ilev) .lt. 1 .or. ilev.eq.1 .or. ilev.eq.nlev) then
+                if( dtau(j,ibox,ilev)>0 .and. (cloud_dtau-dtau(j,ibox,ilev)) < 1) then
+                   if(dtau(j,ibox,ilev) < 1 .or. ilev==1 .or. ilev==nlev) then
                       ! MISR will likely penetrate to some point within this layer ... the middle
                       MISR_penetration_height=zfull(j,ilev)
@@ -142,5 +142,5 @@
                 
                 ! Check for a distinctive water layer
-                if(dtau(j,ibox,ilev) .gt. 1 .and. at(j,ilev) .gt. 273 ) then
+                if(dtau(j,ibox,ilev) > 1 .and. at(j,ilev) > 273 ) then
                    ! Must be a water cloud, take this as CTH level
                    thres_crossed_MISR=99
@@ -149,5 +149,5 @@
                 ! If the total column optical depth is "large" than MISR can't see
                 ! anything else. Set current point as CTH level
-                if(sum(dtau(j,ibox,1:ilev)) .gt. 5) then
+                if(sum(dtau(j,ibox,1:ilev)) > 5) then
                    thres_crossed_MISR=99           
                 endif
@@ -157,12 +157,12 @@
           ! Check to see if there was a cloud for which we didn't 
           ! set a MISR cloud top boundary
-          if( thres_crossed_MISR .eq. 1) then
+          if( thres_crossed_MISR == 1) then
              ! If the cloud has a total optical depth of greater
              ! than ~ 0.5 MISR will still likely pick up this cloud
              ! with a height near the true cloud top
              ! otherwise there should be no CTH
-             if(sum(dtau(j,ibox,1:nlev)) .gt. 0.5) then
+             if(sum(dtau(j,ibox,1:nlev)) > 0.5) then
                 ! keep MISR detected CTH
-             elseif(sum(dtau(j,ibox,1:nlev)) .gt. 0.2) then
+             elseif(sum(dtau(j,ibox,1:nlev)) > 0.2) then
                 ! MISR may detect but wont likley have a good height
                 box_MISR_ztop(j,ibox)=-1
@@ -215,5 +215,5 @@
     ! Fill dark scenes 
     do j=1,numMISRHgtBins
-       where(sunlit .ne. 1) dist_model_layertops(1:npoints,j) = R_UNDEF
+       where(sunlit /= 1) dist_model_layertops(1:npoints,j) = R_UNDEF
     enddo
 
@@ -257,12 +257,12 @@
 
        ! Subcolumns that are cloudy(true) and not(false)
-       box_cloudy(1:ncol) = merge(.true.,.false.,tau(j,1:ncol) .gt. tauchk)
+       box_cloudy(1:ncol) = merge(.true.,.false.,tau(j,1:ncol) > tauchk)
 
        ! Fill optically thin clouds with fill value
        where(.not. box_cloudy(1:ncol)) tauWRK(j,1:ncol)  = -999._wp
-       where(box_MISR_ztopWRK(j,1:ncol) .eq. 0) box_MISR_ztopWRK(j,1:ncol)=-999._wp
+       where(box_MISR_ztopWRK(j,1:ncol) == 0) box_MISR_ztopWRK(j,1:ncol)=-999._wp
 
        ! Compute joint histogram and column quantities for points that are sunlit and cloudy
-       if (sunlit(j) .eq. 1) then 
+       if (sunlit(j) == 1) then
           ! Joint histogram
           call hist2D(tauWRK(j,1:ncol),box_MISR_ztopWRK(j,1:ncol),ncol,misr_histTau,numMISRTauBins,&
@@ -272,10 +272,10 @@
 
           ! Column cloud area
-          MISR_cldarea(j)=real(count(box_MISR_ztopWRK(j,1:ncol) .ne. -999.))/ncol
+          MISR_cldarea(j)=real(count(box_MISR_ztopWRK(j,1:ncol) /= -999.))/ncol
 
           ! Column cloud-top height
-          if ( count(box_MISR_ztopWRK(j,1:ncol) .ne. -999.) .ne. 0 ) then
-             MISR_mean_ztop(j) = sum(box_MISR_ztopWRK(j,1:ncol),box_MISR_ztopWRK(j,1:ncol) .ne. -999.)/ &
-                  count(box_MISR_ztopWRK(j,1:ncol) .ne. -999.)
+          if ( count(box_MISR_ztopWRK(j,1:ncol) /= -999.) /= 0 ) then
+             MISR_mean_ztop(j) = sum(box_MISR_ztopWRK(j,1:ncol),box_MISR_ztopWRK(j,1:ncol) /= -999.)/ &
+                  count(box_MISR_ztopWRK(j,1:ncol) /= -999.)
           else
              MISR_mean_ztop(j) = R_UNDEF
